/// <reference types="react" />
import { QuizResultDataPartial } from '../../types';
interface ResultCardOptions {
    result: QuizResultDataPartial;
    salePriceKey?: string;
    regularPriceKey?: string;
    ratingCountKey?: string;
    ratingScoreKey?: string;
    resultPosition: number;
    renderResultCardPriceDetails?: (result: QuizResultDataPartial) => JSX.Element;
    getResultCardImageUrl?: (result: QuizResultDataPartial) => string;
}
export default function ResultCard(props: ResultCardOptions): JSX.Element;
export {};
